## octave-struct 1.0.5

=== DESCRIPTION ===
Name: Struct
Version: 1.0.5
Date: 2008-04-29
Author: Etienne Grossmann
Maintainer: Etienne Grossmann
Title: Structure Handling.
Description: Additional Structure manipulations functions.
Categories: Structs
Depends: octave (>= 2.9.7)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-struct 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Struct
-Version: 1.0.5
-Date: 2008-04-29
+Version: 1.0.7
+Date: 2009-05-03
 Author: Etienne Grossmann
 Maintainer: Etienne Grossmann
 Title: Structure Handling.

## octave-struct 1.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Name: Struct
-Version: 1.0.7
-Date: 2009-05-03
-Author: Etienne Grossmann
+Version: 1.0.9
+Date: 2011-02-25
+Author: Etienne Grossmann and Olaf Till <olaf.till@uni-jena.de>
 Maintainer: Etienne Grossmann
 Title: Structure Handling.
 Description: Additional Structure manipulations functions.

=== src/Makefile ===
ifndef MKOCTFILE
MKOCTFILE := mkoctfile
endif

OCTS = arefields.oct fields2cell.oct fieldempty.oct structcat.oct \
       cell2fields.oct

all: $(OCTS)

%.oct: %.cc
	$(MKOCTFILE) -s $<

clean: ; rm *.o *.oct

=== debian/changelog ===
octave-struct (1.0.9-1) unstable; urgency=low

  * New upstream release
  * This release contains binary-dependant .oct files, so switch Architecture
    from 'all' to 'any'
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571869)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Bump standards version to 3.9.1, no changes required
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Thu, 28 Apr 2011 23:49:27 +0200

octave-struct (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 19 Dec 2009 23:03:00 +0100

octave-struct (1.0.7-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/source.lintian-overrides: Add file for overriding Lintian
    warnings build-depends-without-arch-dep
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 23:15:06 +0200

octave-struct (1.0.6-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 06 Apr 2009 23:41:27 +0200

octave-struct (1.0.6-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 16:39:03 +0000

octave-struct (1.0.5-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 15 May 2008 12:33:51 +0200

octave-struct (1.0.4-1) unstable; urgency=low

  * Initial release (closes: #468528)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sat, 23 Feb 2008 14:56:34 +0100

=== debian/control ===
Source: octave-struct
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/struct
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-struct.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-struct.git

Package: octave-struct
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: additional structure manipulation functions for Octave
 This package provides additional structure manipulation functions for
 octave.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/struct-([\d.]+)\.tar\.gz\?download

## octave-struct 1.0.10

=== DESCRIPTION ===
Name: Struct
Version: 1.0.10
Date: 2012-05-24
Author: Etienne Grossmann <etienne@egdn.net>, Olaf Till <i7tiol@t-online.de>
Maintainer: Olaf Till <i7tiol@t-online.de>
Title: Structure Handling.
Description: Additional Structure manipulations functions.
Categories: Structs
Depends: octave (>= 2.9.7)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== src/Makefile ===
ifndef MKOCTFILE
MKOCTFILE := mkoctfile
endif

OCTS = fields2cell.oct fieldempty.oct structcat.oct cell2fields.oct

all: $(OCTS)

%.oct: %.cc
	$(MKOCTFILE) -s $<

clean: ; rm *.o *.oct

=== debian/changelog ===
octave-struct (1.0.10-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 18:26:56 +0000

octave-struct (1.0.10-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 1.0.10
  * autoload-yes.patch: new patch
  * debian/copyright: reflect upstream changes
  * debian/check.m: run test_struct at build time
  * Remove obsolete Lintian overrides for source package
  * Add Lintian overrides for false positives on hardening flags

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sat, 26 May 2012 22:08:14 +0200

octave-struct (1.0.9-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * Add Sébastien Villemot to Uploaders
  * Bump to dephelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.0, to compile against Octave 3.6
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/copyright: update using machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Sun, 11 Mar 2012 20:51:13 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>
+Uploaders: Thomas Weber <tweber@debian.org>,
+           Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
+Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/struct
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-struct.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-struct.git

=== debian/watch ===
version=3
http://sf.net/octave/struct-(.+)\.tar\.gz

## octave-struct 1.0.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Struct
-Version: 1.0.10
-Date: 2012-05-24
+Version: 1.0.11
+Date: 2015-03-06
 Author: Etienne Grossmann <etienne@egdn.net>, Olaf Till <i7tiol@t-online.de>
 Maintainer: Olaf Till <i7tiol@t-online.de>
 Title: Structure Handling.

=== debian/changelog ===
octave-struct (1.0.11-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.0.11
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * d/check.m: Remove this obsolete file

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 18:53:13 +0200

octave-struct (1.0.10-2) unstable; urgency=medium

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Remove obsolete DM-Upload-Allowed flag

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Remove Thomas Weber from Uploaders.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Sep 2014 19:10:27 +0200

=== debian/control ===
Source: octave-struct
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
Standards-Version: 3.9.6
Homepage: http://octave.sourceforge.net/struct
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-struct.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-struct.git

Package: octave-struct
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: additional structure manipulation functions for Octave
 This package provides additional structure manipulation functions for
 octave.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-struct 1.0.13

=== debian/changelog ===
octave-struct (1.0.13-1build1) yakkety; urgency=medium

  * No-change rebuild against liboctave3v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Jun 2016 18:50:40 +0000

octave-struct (1.0.13-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 1.0.13
  * d/rules: add rule for cleaning generated files in src/

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.8 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 03 May 2016 17:33:09 +0200

octave-struct (1.0.12-1) unstable; urgency=medium

  * Imported Upstream version 1.0.12
  * d/copyright: Reflect upstream changes
  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.7 (no changes needed)
    + Add myself to the Uploaders list
  * d/octave-struct.lintian-overrides: Drop unused override for
    hardening-no-fortify-functions

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 17 Mar 2016 13:55:13 +0100

=== debian/control ===
Source: octave-struct
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@laboissiere.net>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
Standards-Version: 3.9.8
Homepage: http://octave.sourceforge.net/struct
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-struct.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-struct.git

Package: octave-struct
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: additional structure manipulation functions for Octave
 This package provides additional structure manipulation functions for
 octave.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-struct 1.0.14

=== DESCRIPTION ===
Name: struct
Version: 1.0.14
Date: 2016-09-18
Author: Etienne Grossmann <etienne@egdn.net>, Olaf Till <i7tiol@t-online.de>
Maintainer: Olaf Till <i7tiol@t-online.de>
Title: Structure Handling.
Description: Additional structure manipulation functions.
Categories: Structs
Depends: octave (>= 2.9.7)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-struct (1.0.14-1) unstable; urgency=medium

  * New upstream version 1.0.14
  * d/copyright: reflect upstream changes.
  * Bump debhelper compat level to 10.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 07 Oct 2016 16:54:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: octave-struct
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
-           Rafael Laboissiere <rafael@laboissiere.net>
+           Rafael Laboissiere <rafael@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
 Standards-Version: 3.9.8
 Homepage: http://octave.sourceforge.net/struct

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

clean::
	rm -f src/config.h src/config.log src/config.status src/Makefile

## octave-struct 1.0.15

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif


## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
# html_options = --eval 'options = get_html_options ("octave-forge");' \
#                --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' dirs = {"inst", "src"}; \
  dirs(cellfun (@ (x) ! isdir (x), dirs)) = []; \
  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
    else __run_test_suite__ (dirs, {}); endif '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	@echo "## Removing target directory (if empty)..."
	-rmdir $(target_dir)
	@echo
	@echo "## Cleaning done"
	@echo

=== debian/changelog ===
octave-struct (1.0.15-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:55 -0200

octave-struct (1.0.15-1) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Sébastien Villemot ]
  * New upstream version 1.0.15
  * d/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 22 May 2018 11:42:10 +0200

octave-struct (1.0.14-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:39:26 -0200

octave-struct (1.0.14-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:57 -0200

=== debian/control ===
Source: octave-struct
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/struct/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-struct.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-struct
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-struct
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: additional structure manipulation functions for Octave
 This package provides additional structure manipulation functions for
 octave.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-struct 1.0.16

=== Makefile ===
--- 
+++ 
@@ -212,14 +212,10 @@
 
 ## Test package.
 octave_test_commands = \
-' dirs = {"inst", "src"}; \
-  dirs(cellfun (@ (x) ! isdir (x), dirs)) = []; \
-  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
-    else __run_test_suite__ (dirs, {}); endif '
-## the following works, too, but provides no overall summary output as
-## __run_test_suite__ does:
-##
-##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
+' args = {"inst", "src"}; \
+  args(cellfun (@ (x) isempty (a = stat (x)) || ! S_ISDIR (a.mode), args)) = []; \
+  if (isempty (args)) error ("no \"inst\" or \"src\" directory"); exit (1); \
+    else cellfun(@runtests, args); endif '
 check: $(install_stamp)
 	$(run_in_place) --eval $(octave_test_commands)

=== debian/changelog ===
octave-struct (1.0.16-8) unstable; urgency=medium

  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 18:24:50 +0100

octave-struct (1.0.16-7) experimental; urgency=medium

  * d/p/build-against-octave-6.patch: New patch (Closes: #976204)
  * d/clean: Delete left-over files src/*.cc-tst

 -- Rafael Laboissière <rafael@debian.org>  Thu, 03 Dec 2020 11:55:10 -0300

octave-struct (1.0.16-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + octave-struct: Add Multi-Arch: same.

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 27 Nov 2020 08:15:49 -0300

octave-struct (1.0.16-5) unstable; urgency=medium

  * d/octave-struct.lintian-overrides: Drop obsolete override
    hardening-no-stackprotector

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Nov 2020 17:43:12 -0300

octave-struct (1.0.16-4) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file
  * d/s/options: Add extend-diff-ignore option

 -- Rafael Laboissière <rafael@debian.org>  Thu, 30 Jul 2020 15:49:03 -0300

octave-struct (1.0.16-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 09 Nov 2019 04:14:53 -0300

octave-struct (1.0.16-2) unstable; urgency=medium

  * Upload to unstable

  [ Rafael Laboissiere ]
  * d/copyright: Fix license name for the AppStream file

  [ Sébastien Villemot ]
  * Bump S-V to 4.4.0

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 08 Jul 2019 14:43:59 +0200

octave-struct (1.0.16-1) experimental; urgency=medium

  * New upstream version 1.0.16
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 17 Apr 2019 16:37:24 -0300

=== debian/control ===
Source: octave-struct
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-octave (>= 0.7.1)
Standards-Version: 4.5.1
Homepage: https://octave.sourceforge.io/struct/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-struct.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-struct
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-struct
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Multi-Arch: same
Description: additional structure manipulation functions for Octave
 This package provides additional structure manipulation functions for
 octave.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
http://sf.net/octave/struct-(.+)\.tar\.gz

## octave-struct 1.0.17

=== DESCRIPTION ===
Name: struct
Version: 1.0.17
Date: 2021-02-16
Author: Etienne Grossmann <etienne@egdn.net>, Olaf Till <i7tiol@t-online.de>
Maintainer: Olaf Till <i7tiol@t-online.de>
Title: Structure Handling.
Description: Additional structure manipulation functions.
Categories: Structs
Depends: octave (>= 4.0.0)
Autoload: no
License: GPLv3+

=== Makefile ===
--- 
+++ 
@@ -213,7 +213,10 @@
 ## Test package.
 octave_test_commands = \
 ' args = {"inst", "src"}; \
-  args(cellfun (@ (x) isempty (a = stat (x)) || ! S_ISDIR (a.mode), args)) = []; \
+  function ret = nodir (x) \
+    ret = isempty (a = stat (x)) || ! S_ISDIR (a.mode); \
+  endfunction; \
+  args(cellfun (@ (x) nodir (x), args)) = []; \
   if (isempty (args)) error ("no \"inst\" or \"src\" directory"); exit (1); \
     else cellfun(@runtests, args); endif '
 check: $(install_stamp)

=== debian/changelog ===
octave-struct (1.0.17-3build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:37:45 +0000

octave-struct (1.0.17-3) unstable; urgency=medium

  * Upload to unstable
  * d/clean: Remove file src/oct-alt-includes.h

 -- Rafael Laboissière <rafael@debian.org>  Mon, 16 Aug 2021 12:54:43 -0300

octave-struct (1.0.17-2) experimental; urgency=medium

  * New upstream version 1.0.17
  * d/p/build-against-octave-6.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Feb 2021 01:48:26 -0300

## octave-struct 1.0.18

=== Makefile ===
--- 
+++ 
@@ -165,8 +165,12 @@
 octave_install_commands = \
 ' llist_path = pkg ("local_list"); \
   mkdir ("$(installation_dir)"); \
-  load (llist_path); \
-  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
+  if (isempty (stat (llist_path))) \
+    local_packages = cell (1, 0); \
+  else \
+    load (llist_path); \
+    local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
+  endif; \
   save ("$(package_list)", "local_packages"); \
   pkg ("local_list", "$(package_list)"); \
   pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \

=== debian/changelog ===
octave-struct (1.0.18-4) unstable; urgency=medium

  * d/control:
    + Update Homepage URL
    + Drop the versioned dependency on dh-octave. Relationship >= 1.2.3 is
      satisfiable in oldoldstable, which has version 1.2.7.
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/copyright: Update Source URL
  * d/u/metadata:
    + Update Bug-Database URL
    + Add Repository URL
  * d/watch: Convert to format version 5
  * d/s/lintian-overrides: Update override for Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Tue, 23 Sep 2025 06:31:15 -0300

octave-struct (1.0.18-3) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 12:09:04 -0300

octave-struct (1.0.18-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/p/fix-cleaning-rules.patch: New patch
  * d/clean: Drop obsolete file
  * d/control: Build-depend on dh-octave >= 1.2.3. In this version,
    dh_octave_clean removes the src/*-tst files and calls make
    distclean for cleaning the files generated by the configure
    script.

 -- Rafael Laboissière <rafael@debian.org>  Thu, 14 Jul 2022 07:38:58 -0300

octave-struct (1.0.18-1) unstable; urgency=medium

  * New upstream version 1.0.18
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * Set upstream metadata fields: Archive.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 19 Apr 2022 03:17:36 -0300

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1)
-Standards-Version: 4.5.1
-Homepage: https://octave.sourceforge.io/struct/
+               dh-sequence-octave
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/struct/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-struct.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-struct
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-struct
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/struct/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/struct-@ANY_VERSION@@ARCHIVE_EXT@
